CERTRecord.CertificateType (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class CERTRecord.CertificateType

- java.lang.Object
- - org.xbill.DNS.CERTRecord.CertificateType

- Enclosing class:
    CERTRecord

      public static class CERTRecord.CertificateType
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACPKIX` Attribute Certificate
    `static int` | `IACPKIX` URL of an Attribute Certificate
    `static int` | `IPGP` Fingerprint and URL of an OpenPGP packet
    `static int` | `IPKIX` URL of an X.509 data object
    `static int` | `ISPKI` URL of an SPKI certificate
    `static int` | `OID` Certificate format defined by OID
    `static int` | `PGP` Pretty Good Privacy
    `static int` | `PKIX` PKIX (X.509v3)
    `static int` | `SPKI` Simple Public Key Infrastructure
    `static int` | `URI` Certificate format defined by URI

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int type)` Converts a certificate type into its textual representation
    `static int` | `value(String s)` Converts a textual representation of an certificate type into its numeric code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PKIX

          public static final int PKIX

      PKIX (X.509v3)
      See Also:
        Constant Field Values

    - #### SPKI

          public static final int SPKI

      Simple Public Key Infrastructure
      See Also:
        Constant Field Values

    - #### PGP

          public static final int PGP

      Pretty Good Privacy
      See Also:
        Constant Field Values

    - #### IPKIX

          public static final int IPKIX

      URL of an X.509 data object
      See Also:
        Constant Field Values

    - #### ISPKI

          public static final int ISPKI

      URL of an SPKI certificate
      See Also:
        Constant Field Values

    - #### IPGP

          public static final int IPGP

      Fingerprint and URL of an OpenPGP packet
      See Also:
        Constant Field Values

    - #### ACPKIX

          public static final int ACPKIX

      Attribute Certificate
      See Also:
        Constant Field Values

    - #### IACPKIX

          public static final int IACPKIX

      URL of an Attribute Certificate
      See Also:
        Constant Field Values

    - #### URI

          public static final int URI

      Certificate format defined by URI
      See Also:
        Constant Field Values

    - #### OID

          public static final int OID

      Certificate format defined by OID
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int type)

      Converts a certificate type into its textual representation

    - #### value

          public static int value(String s)

      Converts a textual representation of an certificate type into its numeric code. Integers in the range 0..65535 are also accepted.
      Parameters:
        `s` - The textual representation of the algorithm
      Returns:
        The algorithm code, or -1 on error.